Subject: Re: how to rename remote branches, the long way

From: Felipe Contreras <[email-masked]>
Date: Wed, 28 Apr 2021 19:28:49 -0500

brian m. carlson wrote:
> On 2021-04-24 at 03:44:34, Felipe Contreras wrote:
> > I see.
> > 
> > That makes me think we might want a converter that translates
> > (local)main -> (remote)master, and (remote)master -> (local)mail
> > everywhere, so if your eyes have trouble seeing one, you can configure
> > git to simply see the other... Without bothering the rest of the word.
> > 
> > I'll give that idea a try.
> 
> I don't believe this is a helpful response, and judging from the
> follow-up, neither did the OP.

That's fine, you don't need to find it useful.

> They're not trying to do anything dangerous, improvident, or harmful
> to others and they are trying to solve a problem that many people have
> and that is due to an inherent limitation in Git (its inability to
> rename remote branches easily[0]), so there's no reason to respond in
> this way.

What is "in this way"? Proposing another solution more people (including
me) might find simpler, and more viable?

> There is a difference between being firm and steadfast, such as when
> responding to someone who repeatedly advocates an inadvisable technical
> approach, and being rude and sarcastic, especially to someone who is
> genuinely trying to improve things, and I think this crosses the line.

I wasn't rude. You are free to disagree.

> [0] Regardless of how you feel about this _particular_ rename, one would
> want the ability to do this to preserve reflogs for _all_ remote
> renames, and so this would be a valuable and desirable feature to have
> in Git anyway.

I never claimed otherwise.

It's perfectly fine for two people to work on two approaches to solve
the same problem.

Cheers.

-- 
Felipe Contreras